Kerbal Space Program - Bug #9816
"Inception’-style effects when changing camera mode on launch pad

06/01/2016 08:41 AM - IgorZ

Status: Confirmed Start date: 06/01/2016
Severity: Low % Done: 10%
Assignee:

Category: Camera

Target version:

Version: 1.1.2 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion:

Description

Steps to reproduce:

1. Make vessel of single pod with a crew seat.

2. Assign crew to the seat.
3. Deploy on the launchpad.

4. Exit vessel with the crew members and walk away a bit.

5. Switch to the pod.

6. Choose camera mode "LOCKED".

Observed behavior:

1. Enjoy your own cut "Inspection” movie: horizon is wrong, gravity force is insane.

History

#1 - 07/17/2016 09:56 AM -

- Status changed from New to Needs Clarification

#2 - 07/26/2016 07:17 AM -

TriggerAu

bewing

- File camera_bug.sfs added

- File KSP.log added
- File output_log.txt added

- Status changed from Needs Clarification to Updated

- % Done changed from 0 to 10

Bug still exists in 1.1.3.

| did the test, then reverted, then set it all up to test again. So any errors should already be in the log files, but all you have to do to reproduce the
error is load "camera_bug", set the focus to the pod on the launchpad, and then set the camera mode to "Locked".

#3 - 07/29/2016 02:51 PM -

sal_vager

- File screenshot880.png added

- File screenshot881.png added

- Status changed from Updated to Confirmed

- Platform Linux added

This is easiest to reproduce on other planets.
